// GAI_Player1.cpp: implementation of the GAI_Player1 class.
//
//////////////////////////////////////////////////////////////////////

#include "ph.h"
#include "GAI_Player1.h"
#include "GActiveObject.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GAI_Player1::GAI_Player1(GEngine *engine, GActiveObject *object):
GAI(engine, object)
{

}

GAI_Player1::~GAI_Player1()
{

}

void GAI_Player1::Move()
{
	if (!m_object) return;

	Uint8 *keystate = SDL_GetKeyState(NULL);

	m_object->m_up     = keystate[SDLK_UP] != 0;
	m_object->m_down   = keystate[SDLK_DOWN] != 0;
	m_object->m_left   = keystate[SDLK_LEFT] != 0;
	m_object->m_right  = keystate[SDLK_RIGHT] != 0;
	m_object->m_action = keystate[SDLK_RCTRL] != 0;
}
