// GAI_Random.cpp: implementation of the GAI_Random class.
//
//////////////////////////////////////////////////////////////////////

#include "ph.h"
#include "GAI_Random.h"
#include "GActiveObject.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GAI_Random::GAI_Random(GEngine *engine, GActiveObject *object):
GAI(engine, object)
{
	m_tochange = 0;
}

GAI_Random::~GAI_Random()
{

}


void GAI_Random::Move()
{
	if (!m_object) return;

	// TODO: fak se musi udelat ty operatory po HVector3
	if (--m_tochange < 0 || m_object->m_position == m_object->m_old.m_position) {

		m_object->m_left  = false;
		m_object->m_right = false;
		m_object->m_up    = false;
		m_object->m_down  = false;

		switch (rand()%3)
		{
		case 0: m_object->m_left  = true; break;
		case 1: m_object->m_right = true; break;
		}

		switch (rand()%3)
		{
		case 0: m_object->m_up    = true; break;
		case 1: m_object->m_down  = true; break;
		}
	
		m_tochange = rand()%30+5;
	}

	m_object->m_action = true; // strelba non-stop

}
