// GSpaceShip.h: interface for the GSpaceShip class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GSPACESHIP_H__5116E462_78AA_470F_A739_4C7C1C99BBB5__INCLUDED_)
#define AFX_GSPACESHIP_H__5116E462_78AA_470F_A739_4C7C1C99BBB5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GActiveObject.h"

#define LIMIT_X 26
#define LIMIT_Y 19
#define WEAPON_HEATING_TIME 10

// objet lode, ktera lita a strili
class GSpaceShip : public GActiveObject  
{
public:
	virtual void Render();
	virtual void DoEvent();
	GSpaceShip(GEngine *engine, H3DModel *model3D);
	virtual ~GSpaceShip();

  // informuje lod, ze si ma odepsat x zivotu
   virtual void LostLives(int lives);
  // vraci true, protoze lod je tvrda
  virtual bool Hitted(GActiveObject *object);

	int   m_weapon_heated; // prehrati hlavne - strilet lze pouze, pokud == 0
	int   m_lives;  // pocet zivotu 

	float m_rot_y; // rotace podel y - pokud si lode vymeni pozice (leva-prava)
};

#endif // !defined(AFX_GSPACESHIP_H__5116E462_78AA_470F_A739_4C7C1C99BBB5__INCLUDED_)
