/***************************************************************************
                          mvictory.h  -  description
                             -------------------
    begin                : P ?j 4 2002
    copyright            : (C) 2002 by Berny
    email                : 2berny@seznam.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MVICTORY_H
#define MVICTORY_H

#include "GBase.h"

/**
  *@author Berny
  */

#include "GRun.h"
  
// trida zobrazuje vysledky, jak dopadla hra
class MVictory : public GBase  {
public: 
	MVictory(GRun *run, st_game_status *game_status);
	~MVictory();
	
  // obsluhuje stisk klavesy
  virtual void KeyDown(Uint8 key);
  
  // Renderuje aktalni stav
  virtual void Render();

	st_game_status    m_game_status; // stav dokoncene hry (GEnginu)
	GRun             *m_run;         // ukazatel na hru

	int               m_back_ground;  // textura pozadi
};

#endif
