#ifndef _PRECOMPILED_HEADER_
#define _PRECOMPILED_HEADER_


#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif


// BERNY: tohle je kuli nasemu kamaradovi Linuxovi
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <math.h>
#include <fstream>
#include <vector>
using namespace std;


#ifndef _MSC_VER
#define _MSC_VER 0
#endif


#if defined(__APPLE__) && defined(__MACH__)
#include <OpenGL/gl.h>	// Header File For The OpenGL32 Library
#include <OpenGL/glu.h>	// Header File For The GLu32 Library
#else
#include <GL/gl.h>	// Header File For The OpenGL32 Library
#include <GL/glu.h>	// Header File For The GLu32 Library
#endif

#ifdef WIN32
#include "SDL.h"
#include "SDL_image.h"
#else
#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#endif

#include "3DMath.h"

#include "HTextureStore.h"

// BERNY: tohle bylo v mydefs.h
#define SAFE_DELETE(x) if(x) {delete x; x = NULL;} // Object
#define SAFE_DELETEA(x) if(x) {delete [] x; x = NULL;} // Array

// BERNY: aby to slo kompilvat pod linuxem
#ifndef FALSE
#define FALSE               0
#endif

#ifndef TRUE
#define TRUE                1
#endif

#ifndef DWORD
typedef unsigned long       DWORD;
#endif

#ifndef BOOL
typedef int                 BOOL;
#endif

#ifndef BYTE
typedef unsigned char       BYTE;
#endif

#ifndef WORD
typedef unsigned short      WORD;
#endif

#ifndef FLOAT
typedef float               FLOAT;
#endif

#ifndef WIN32
// TODO :: musime definovat ten ULONGLONG
#ifndef ULONGLONG
typedef unsigned long long               ULONGLONG;
#endif
#endif


#endif
